## mozillavpn 2.2.0

=== balrog/Makefile ===
all:
	go build -buildmode c-archive -v

install:

=== macos/gobridge/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Copyright (C) 2018-2019 Jason A. Donenfeld <Jason@zx2c4.com>. All Rights Reserved.

# These are generally passed to us by xcode, but we set working defaults for standalone compilation too.
ARCHS ?= arm64 armv7
SDK_NAME ?= iphoneos
SDKROOT ?= $(shell xcrun --sdk $(SDK_NAME) --show-sdk-path)
CONFIGURATION_BUILD_DIR ?= $(CURDIR)/out
CONFIGURATION_TEMP_DIR ?= $(CURDIR)/.tmp

export CC ?= clang
LIPO ?= lipo
DESTDIR ?= $(CONFIGURATION_BUILD_DIR)
BUILDDIR ?= $(CONFIGURATION_TEMP_DIR)/wireguard-go-bridge

CFLAGS_PREFIX := $(if $(DEPLOYMENT_TARGET_CLANG_FLAG_NAME),-$(DEPLOYMENT_TARGET_CLANG_FLAG_NAME)=$($(DEPLOYMENT_TARGET_CLANG_ENV_NAME)),) -Wno-unused-command-line-argument -isysroot $(SDKROOT) -arch
GOARCH_arm64 := arm64
GOARCH_armv7 := arm
GOARCH_x86_64 := amd64

build: $(DESTDIR)/libwg-go.a
version-header: $(DESTDIR)/wireguard-go-version.h

REAL_GOROOT := $(shell go env GOROOT 2>/dev/null)
export GOROOT := $(BUILDDIR)/goroot
$(GOROOT)/.prepared:
	[ -n "$(REAL_GOROOT)" ]
	mkdir -p "$(GOROOT)"
	rsync -a --delete --exclude=pkg/obj/go-build "$(REAL_GOROOT)/" "$(GOROOT)/"
	cat goruntime-*.diff | patch -p1 -f -N -r- -d "$(GOROOT)"
	touch "$@"

define libwg-go-a
$(BUILDDIR)/libwg-go-$(1).a: export CGO_ENABLED := 1
$(BUILDDIR)/libwg-go-$(1).a: export CGO_CFLAGS := $(CFLAGS_PREFIX) $(ARCH)
$(BUILDDIR)/libwg-go-$(1).a: export CGO_LDFLAGS := $(CFLAGS_PREFIX) $(ARCH)
$(BUILDDIR)/libwg-go-$(1).a: export GOOS := darwin
$(BUILDDIR)/libwg-go-$(1).a: export GOARCH := $(GOARCH_$(1))
$(BUILDDIR)/libwg-go-$(1).a: $(GOROOT)/.prepared go.mod
	go build -tags ios -ldflags=-w -trimpath -v -o "$(BUILDDIR)/libwg-go-$(1).a" -buildmode c-archive
	rm -f "$(BUILDDIR)/libwg-go-$(1).h"
endef
$(foreach ARCH,$(ARCHS),$(eval $(call libwg-go-a,$(ARCH))))

$(DESTDIR)/wireguard-go-version.h: $(GOROOT)/.prepared go.mod
	go list -m golang.zx2c4.com/wireguard | sed -n 's/.*v\([0-9.]*\).*/#define WIREGUARD_GO_VERSION "\1"/p' > "$@"

$(DESTDIR)/libwg-go.a: $(foreach ARCH,$(ARCHS),$(BUILDDIR)/libwg-go-$(ARCH).a)
	@mkdir -vp "$(DESTDIR)"
	$(LIPO) -create -output "$@" $^

clean:
	rm -rf "$(BUILDDIR)" "$(DESTDIR)/libwg-go.a" "$(DESTDIR)/wireguard-go-version.h"

install: build

.PHONY: clean build version-header install

=== debian/changelog ===
mozillavpn (2.2.0-1) unstable; urgency=medium

  * New upstream release
    I didn't import more recent version as they require glean
    as new dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Sep 2021 19:09:29 +0200

mozillavpn (2.1.0-1) unstable; urgency=medium

  [ Andrea Marchesini ]
  * First ubuntu package

  [ Sylvestre Ledru ]
  * Upload in Debian + polish

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Sep 2021 18:22:37 +0200

=== debian/control ===
Source: mozillavpn
Section: net
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Uploaders: Andrea Marchesini <baku@mozilla.com>
Build-Depends: debhelper (>= 8.1.3),
               flex,
               libqt5charts5-dev,
               libqt5networkauth5-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qt5-qmake-bin,
               qttools5-dev-tools,
               libxcb-render0-dev,
               libxcb-image0-dev,
               libxcb-shape0-dev,
               libxcb-sync0-dev,
               libxcb-render-util0-dev,
               libxcb1-dev,
               libxcb-xfixes0-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libx11-xcb-dev,
               libxcb-keysyms1-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-icccm4-dev,
               libxcb-sync0-dev,
               libxcb-xfixes0-dev,
               libxrender-dev,
               libxcb-shape0-dev,
               libasound2-dev [linux-any],
               libaudio-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libice-dev,
               libjpeg-dev,
               libmng-dev,
               libpng-dev,
               libsm-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff5-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               libxv-dev,
               zlib1g-dev,
               libedit-dev,
               libvulkan-dev,
               libpolkit-gobject-1-dev,
               wireguard-tools
Standards-Version: 4.4.1
Homepage: https://vpn.mozilla.org/
Vcs-Git: https://salsa.debian.org/sylvestre/mozillavpn.git
Vcs-Browser: https://salsa.debian.org/sylvestre/mozillavpn

Package: mozillavpn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         wireguard (>=1.0.20200513-1~18.04.2),
         wireguard-tools (>=1.0.20200513-1~18.04.2),
         resolvconf (>=1.82),
         qml-module-qtcharts (>=5.14.2-2),
         qml-module-qtgraphicaleffects (>=5.14.2-2),
         qml-module-qtquick-controls (>=5.14.2-2),
         qml-module-qtquick-controls2 (>=5.14.2+dfsg-2),
         qml-module-qtquick-extras (>=5.14.2-2),
         qml-module-qtquick-layouts (>=5.14.2+dfsg-3ubuntu1),
         qml-module-qtquick-window2 (>=5.14.2+dfsg-3ubuntu1),
         qml-module-qtquick2 (>=5.14.2+dfsg-3ubuntu1),
         qml-module-qtqml-models2 (>=5.14.2+dfsg-3ubuntu1),
         qml-module-qtqml (>=5.14.2+dfsg-3ubuntu1)
Description: Fast, secure and easy to use VPN.
 Built by the makers of Firefox.
 Read more on https://vpn.mozilla.org

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --warn-missing

override_dh_auto_configure:
	mkdir -p 3rdparty/wireguard-tools/contrib/
	if ! test -e 3rdparty/wireguard-tools/contrib/embeddable-wg-library; then \
		ln -s /usr/share/doc/wireguard-tools/examples/embeddable-wg-library 3rdparty/wireguard-tools/contrib/embeddable-wg-library; \
	fi
	qmake CONFIG+=production CONFIG-=debug CONFIG+=release CONFIG-=debug_and_release BUILD_ID=FULLVERSION

override_dh_clean:
	rm -rf 3rdparty/wireguard-tools src/.rcc/ translations/mozillavpn_en.ts
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mozilla-vpn-client-$1\.tar\.gz/ \
  https://github.com/mozilla-mobile/mozilla-vpn-client/tags .*/v?(\d\S+)\.tar\.gz

## mozillavpn 2.9.0

=== debian/changelog ===
mozillavpn (2.9.0-1) unstable; urgency=medium

  * New upstream release (debian configuration taken from upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 14 Aug 2022 18:52:45 +0200

=== debian/control ===
Source: mozillavpn
Section: net
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Uploaders: Andrea Marchesini <baku@mozilla.com>
Build-Depends: debhelper (>= 9.20160709),
               cmake (>= 3.16~) | cmake-mozilla (>= 3.16~),
               quilt,
               flex,
               golang (>=2:1.13~) | golang-1.13,
               cargo,
               python3-yaml,
               python3-lxml,
               libgl-dev,
               libopengl-dev (>= 1.3.0~) | libglvnd-dev (<< 1.3.0~),
               libqt6core5compat6-dev (>=6.2.0~),
               libqt6networkauth6-dev (>=6.2.0~),
               libqt6opengl6-dev (>=6.2.0~),
               libqt6svg6-dev (>=6.2.0~),
               libqt6websockets6-dev (>=6.2.0~),
               libssl-dev,
               libxkbcommon-dev,
               qmake6 (>=6.2.0~),
               qt6-base-dev (>=6.2.0~),
               qt6-base-dev-tools (>=6.2.0~),
               qt6-declarative-dev (>=6.2.0~),
               qt6-declarative-dev-tools (>=6.2.0~),
               qt6-l10n-tools (>=6.2.0~),
               qt6-tools-dev-tools (>=6.2.0~),
               libpolkit-gobject-1-dev
Standards-Version: 4.4.1
Homepage: https://vpn.mozilla.org/
Vcs-Git: https://salsa.debian.org/sylvestre/mozillavpn.git
Vcs-Browser: https://salsa.debian.org/sylvestre/mozillavpn

Package: mozillavpn
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, ${dep:devlibs},
         libpolkit-gobject-1-0 (>=0.105),
         wireguard (>=1.0.20200319),
         wireguard-tools (>=1.0.20200319),
         libqt6quick6 (>=6.2.0~),
         libqt6widgets6 (>=6.2.0~),
         libqt6gui6 (>=6.2.0~),
         libqt6qml6 (>=6.2.0~),
         libqt6network6 (>=6.2.0~),
         libqt6networkauth6 (>=6.2.0~),
         libqt6dbus6 (>=6.2.0~),
         libqt6core6 (>=6.2.0~),
         libqt6sql6-sqlite (>=6.2.0~),
         libqt6svg6 (>=6.2.0~),
         libqt6websockets6 (>=6.2.0~),
         libqt6test6 (>=6.2.0~),
         qml6-module-qt5compat-graphicaleffects (>=6.2.0~),
         qml6-module-qtquick (>=6.2.0~),
         qml6-module-qtquick-controls (>=6.2.0~),
         qml6-module-qtquick-layouts (>=6.2.0~),
         qml6-module-qtquick-localstorage (>=6.2.0~),
         qml6-module-qtquick-templates (>=6.2.0~),
         qml6-module-qtquick-window (>=6.2.0~),
         qml6-module-qtqml (>=6.2.0~),
         qml6-module-qtqml-models (>=6.2.0~),
         qml6-module-qtqml-workerscript (>=6.2.0~),
         qml6-module-qt-labs-qmlmodels (>=6.2.0~),
         qt6-qpa-plugins (>=6.2.0~)
Description: Fast, secure and easy to use VPN.
 Built by the makers of Firefox.
 Read more on https://vpn.mozilla.org

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_VERSION ?= $(shell dpkg-parsechangelog -SVersion)

GOLANG_NATIVE_VERSION := $(shell dpkg-query --showformat='${Version}' --show golang 2>/dev/null || echo 0)
ifneq (ok,$(dpkg --compare-versions $(GOLANG_NATIVE_VERSION) ge 2:1.13 && echo ok))
	export GODIR := /usr/lib/go-1.13
	export PATH := $(GODIR)/bin:$(PATH)
endif

%:
	dh $@ --with=systemd --warn-missing

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_ID=$(DEB_VERSION) -DWEBEXT_INSTALL_LIBDIR=lib

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/mozillavpn/etc/opt/chrome

override_dh_installsystemd:
	dh_installsystemd linux/mozillavpn.service

override_dh_systemd_start:
	dh_systemd_start linux/mozillavpn.service

override_dh_systemd_enable:
	dh_systemd_enable linux/mozillavpn.service

override_dh_clean:
	rm -rf addons/generated/ translations/generated/
	dh_clean
